Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::PK_Ops::Verification Class Referenceabstract

`#include <pk_ops.h>`

Inheritance diagram for Botan::PK_Ops::Verification:

## Public Member Functions
virtual bool | is_valid_signature (const uint8_t sig[], size_t sig_len)=0
virtual void | update (const uint8_t msg[], size_t msg_len)=0
virtual | ~Verification ()=default

## Detailed Description

Public key signature verification interface

Definition at line 64 of file pk_ops.h.

## Constructor & Destructor Documentation

virtual Botan::PK_Ops::Verification::~Verification | ( |  | ) |
| virtual default

## Member Function Documentation

virtual bool Botan::PK_Ops::Verification::is_valid_signature | ( | const uint8_t | sig[],
|  | size_t | sig_len
| ) |  |
| pure virtual

Implemented in Botan::PK_Ops::Verification_with_EMSA, Botan::XMSS_Verification_Operation, and Botan::XMSS_WOTS_Verification_Operation.

virtual void Botan::PK_Ops::Verification::update | ( | const uint8_t | msg[],
|  | size_t | msg_len
| ) |  |
| pure virtual

Implemented in Botan::PK_Ops::Verification_with_EMSA, Botan::XMSS_Verification_Operation, and Botan::XMSS_WOTS_Verification_Operation.

The documentation for this class was generated from the following file:

- src/lib/pubkey/pk_ops.h